# Variable index

index: {
actions: base;
fieldviews: base;
fileviews: base;
sc_plugin_api_version: number;
types: object[];
viewtemplates: object[];
}

#### Type Declaration

- ##### actions: base

- ##### fieldviews: base

- ##### fileviews: base

- ##### sc_plugin_api_version: number

- ##### types: object[]

- ##### viewtemplates: object[]

- Defined in packages/saltcorn-data/base-plugin/index.js:53